Skip the navigation

FAQ: No, you can't have Lion

Mac OS X 10.7 isn't for everyone; some will be left behind

June 17, 2011 06:44 AM ET

Computerworld - Next month Apple will ship Lion, giving customers the chance to upgrade to the company's newest edition of Mac OS X.

Most customers, anyway. But not all.

Like any OS, Lion comes with a set of requirements, prerequisites and limitations that will lock out some users entirely and discourage others.

Does your Mac make the Lion grade? It's not tough to find out.

I have a slow-as-a-dog-in-summer Internet connection. What am I supposed to do? Maybe skip this upgrade.

Because Apple will distribute Lion solely through the Mac App Store -- at least, that's the word so far -- you'll have to download it. And for those with skinny pipes to the Internet, that's a problem.

Anyone with a low-end DSL connection, for example, will need hours to download the 4GB Lion upgrade. Still stuck with dial-up? You're talking days.

If you want to calculate the time it will take to download Lion, plug "4GB" and your connection speed into this tool.

My Mac is old. Can I run Lion? Depends on how old that Mac is.

Lion requires a dual- or quad-core Intel processor, such as the Core 2 Duo, Core i3, Core i5, Core i7 and Xeon.

Like Snow Leopard, Lion won't run on the PowerPC architecture that Apple abandoned in early 2006 when it started the switch to Intel CPUs. So you're out.

If you have one of the earliest Intel-based Macs -- those first sold from the start of 2006 until the fall of that year -- Lion is also unavailable, because those machines were powered by 32-bit Core Duo chips.

Bottom line: If your Mac is more than 5 years old, you can forget about Lion.

To check the processor powering your Mac, choose "About this Mac" from the Apple menu.

I still rely on Rosetta to run very old PowerPC apps. What's the story for me? You may want to skip Lion.

Unlike Snow Leopard, which let users run apps compiled for PowerPC through Rosetta -- even though you had to download and install the software emulator yourself -- Lion doesn't even support the tool.

One end-around is to create two boot volumes on your Mac -- one with Lion, the other with Snow Leopard -- so you can access the PowerPC programs after launching the latter.

Other options: Upgrade the software (if an upgrade is available) to a version that runs on Intel systems, replace it with an alternative, or worst case, spring for virtualization software like Parallels Desktop, a copy of Windows 7, and a Windows app substitute.

My Mac has just 1GB of memory. Is that enough for Lion? No. Lion requires 2GB, twice that of Snow Leopard.



Our Commenting Policies
Consumerization of IT: Be in the know
consumer tech

Our new weekly Consumerization of IT newsletter covers a wide range of trends including BYOD, smartphones, tablets, MDM, cloud, social and what it all means for IT. Subscribe now and stay up to date!